// Copyright 2001, Jonathan Bachrach.  See file TERMS.

import java.io.*;
import java.util.*;
import antlr.*;

/**
 * Bracket enclosed fragments
 * @author  Jonathan Bachrach
 * @author  Keith Playford
 * @version 0.9, 03OCT00
 */
public class BracketsFragment extends NestedFragment {
    private void init () {
	left  = "[";
	right = "]";
	templateGeneratorName = "processBrackets";
	nestedMatcherName     = "matchBrackets";
	partMatcherName       = "matchListPart";
	strictPartMatcherName = "matchListPartStrict";
    }
    BracketsFragment(FragmentList children) {
	super(children); init();
	leftToken  = makeToken(JavaTokenTypes.LBRACK, "[");
	rightToken = makeToken(JavaTokenTypes.RBRACK, "]");
    }
    BracketsFragment(Token left, FragmentList children, Token right) {
	super(children); init();
	leftToken  = left;
	rightToken = right;
    }
}
