// Copyright 2001, Jonathan Bachrach.  See file TERMS.

import java.io.*;
import java.util.*;

/**
 * Fragment for result of template expansion
 * @author  Jonathan Bachrach
 * @author  Keith Playford
 * @version 0.9, 03OCT00
 */
public class Expansion extends CompoundFragment {
    FragmentList fragments = null;
    FragmentList modifiers = FragmentList.fnil;
    public FragmentList getModifiers () { return modifiers; }
    public void setModifiers (FragmentList modifiers) { 
	this.modifiers = modifiers; 
    }
    public Expansion(FragmentList fragments) {
	this.fragments = fragments;
    }
    public Expansion(Fragment[] elts) {
	fragments = FragmentList.FragmentNil;
	for (int i = elts.length - 1; i >= 0; i--) 
	    fragments = new FragmentList(elts[i], fragments);
    }
    public FragmentList getInsideFragments() { return fragments; }
    public void setInsideFragments(FragmentList fs) { fragments = fs; }

    public Fragment expandTemplates () {
	getInsideFragments().expandTemplates();
	return this;
    } 
    public Fragment expandMacros (MacroExpander expander, boolean isRecursive) { 
	getInsideFragments().expandMacros(expander, isRecursive);
	return this;
    } 
    public Fragment markMacros (MacroExpander expander) { 
	setInsideFragments(getInsideFragments().markMacros(expander));
	return this;
    } 
}
