// Copyright 2001, Jonathan Bachrach.  See file TERMS.

import java.io.InputStream;
import java.io.Reader;
import java.io.IOException;
import java.util.Hashtable;
import antlr.CharScanner;
import antlr.InputBuffer;
import antlr.ByteBuffer;
import antlr.CharBuffer;
import antlr.Token;
import antlr.CommonToken;
import antlr.ScannerException; 
import antlr.TokenStream;
import antlr.ANTLRHashString;
import antlr.LexerSharedInputState;
import antlr.collections.impl.BitSet;
import java.io.*;
import java.util.*;

/**
 * Class to access reserve words from lexer
 * @author  Jonathan Bachrach
 * @author  Keith Playford
 * @version 0.9, 03OCT00
 */

public class JavaReservedWords extends JavaLexer {
    public JavaReservedWords() { // DUMMY
	super(new ByteBuffer(System.in));
    }
    public int lookupIdentifierTokenType (String name) {
	int     ttype         = JavaTokenTypes.IDENT;
	hashString.setBuffer(name.toCharArray(), name.length());
	Integer literalsIndex = (Integer)literals.get(hashString);
	if (literalsIndex != null) {
	    ttype = literalsIndex.intValue();
	}
	return ttype;
    }
}
