// Copyright 2001, Jonathan Bachrach.  See file TERMS.

import java.io.InputStream;
import java.io.Reader;
import java.io.IOException;
import java.util.Hashtable;
import antlr.CharScanner;
import antlr.InputBuffer;
import antlr.ByteBuffer;
import antlr.CharBuffer;
import antlr.Token;
import antlr.CommonToken;
import antlr.CharScanner;
// import antlr.ScannerException;
import antlr.TokenStream;
import antlr.ANTLRHashString;
import antlr.LexerSharedInputState;

/**
 * Lexer which serves up a list of tokens specified during construction
 * @author  Jonathan Bachrach
 * @author  Keith Playford
 * @version 0.9, 03OCT00
 */
public class JavaTokenLexer extends CharScanner
      implements JavaTokenTypes, TokenStream {
    List tokens = null;
    public JavaTokenLexer(List tokens) {
	this.tokens   = tokens;
    }
    public boolean isEmpty() {
	return tokens.isEmpty();
    }
    public Token nextToken() throws IOException {
	if (tokens.isEmpty()) {
	    LooseFragmentParser.trace("Reading EOF");
	    return new Token(Token.EOF_TYPE); 
	} else {
	    Token token = (Token)tokens.getHead();
	    LooseFragmentParser.trace("Reading " + token);
	    tokens = tokens.getTail();
	    return token;
	}
    }
}
