// Copyright 2001, Jonathan Bachrach.  See file TERMS.

import java.io.*;
import java.util.*;
import antlr.*;

/**
 * Fragment that has only one token's worth of lexer information
 * @author  Jonathan Bachrach
 * @author  Keith Playford
 * @version 0.9, 03OCT00
 */
public /* abstract */ class LeafFragment extends Fragment {
    Token token = null;
    public String getText() { 
	return token.getText();
    }
    public Token getToken() { 
	return token;
    }
    public FragmentList getInsideFragments () { 
	return FragmentList.fnil.fpush(this); 
    }
    public List tokens() {
	if (token == null)
	    LooseFragmentParser.trace("NULL TOKEN " + this);
	return List.list(token);
    }
    public int getLine() { 
	return token.getLine();
    }
    void lprint(PrettyStream p, int depth, boolean isCode) { 
	lseek(p, depth);
	pprint(p, depth, isCode);
    }
}

