// Copyright 2001, Jonathan Bachrach.  See file TERMS.

import java.io.*;
import java.util.*;
import antlr.*;

/**
 * Fragment that represents a Java literal
 * @author  Jonathan Bachrach
 * @author  Keith Playford
 * @version 0.9, 03OCT00
 */
public class LiteralFragment extends LeafFragment {
    // Object value;

    public Object getValue() { 
	System.out.println("NYI getValue " + this.getClass() + " " + this);
	return null;
    }

    public LiteralFragment() { }   
    public LiteralFragment(Token t) { token = t; }   

    public boolean equals(LiteralFragment x) { 
	return getValue().equals(x.getValue());
    }
    void print(PrettyStream p) { p.print("Literal: " + getText()); }
    void pprint(PrettyStream p, int depth, boolean isCode) { 
	p.print(getText()); 
    }
    public String toString() { return("$" + getText()); }
    // TODO: create proper literal based on type
    public Expansion generatePatternCode 
	(IdentifierFragment nowVar, IdentifierFragment nextVar) {
	// #{ FragmentList ?nextVar = ?nowVar.matchLiteral(?(getValue())) } 
	return Template.processTemplate
	    (FragmentList.fnil
	     .fpush(Template.substituteIdentifier("FragmentList"))
	     .fpush(nextVar)
	     .fpush(Template.substituteIdentifier("="))
	     .fpush(nowVar)
	     .fpush(Template.substituteIdentifier("matchLiteral"))
	     .fpush(Template.processParens
		    (FragmentList.fnil
		     .fpush(new LiteralFragment(getToken()))
		     .freverse()))
	     .fpush(Template.substituteSemicolon())
	     .freverse());
    }
}
