// Copyright 2001, Jonathan Bachrach.  See file TERMS.

import java.io.*;
import java.util.*;
import antlr.*;

/**
 * A literal fragment representing Java string literals
 * @author  Jonathan Bachrach
 * @author  Keith Playford
 * @version 0.9, 03OCT00
 */
public class StringFragment extends LiteralFragment {
    public StringFragment(String x) { 
	super(makeToken(JavaTokenTypes.STRING_LITERAL, "\"" + x + "\"")); 
    }   
    public StringFragment(Token t) { 
	super(t);
    }
    public Object getValue() { 
	return getText().substring(1, getText().length() - 1);
    }
    public Fragment compileTemplate(int depth) {
	return Template.processTemplate
	    (FragmentList.fnil
	     .fpush(Template.substituteIdentifier
		    ("Template.substituteAsString"))
	     .fpush(Template.processParens
		    (FragmentList.fnil
		     .fpush(Template.substituteAsString((String)getValue()))
		     .freverse()))
	     .freverse());
    }
}

