// Copyright 2001, Jonathan Bachrach.  See file TERMS.

import java.io.*;
import java.util.*;
import antlr.*;

/**
 * Pattern Variable constraint on matching
 * @author  Jonathan Bachrach
 * @author  Keith Playford
 * @version 0.9, 03OCT00
 */
public interface SyntaxConstraint {
    //// user must provide
    public String  getName();
    public boolean isAdmissable (FragmentList fragments);
    //// provided by BaseSyntaxConstraint
    // defaults SequenceFragment but can be overriden
    public Class   getFragmentClass (); 
    public String  getFragmentClassName (); 
    public boolean getDoesMatchMultipleFragments();
    public boolean isWildcardConstraint ();
}
