#!/usr/local/bin/bash

version=$1

mkdir jse-$1
cd jse-$1
cp -p ../README.TXT .
cp -p ../TERMS .
cp -p ../release.bash .
cp -pr ../antlr-2.6.0 .
ln -s antlr-2.6.0 antlr
cd antlr
rm -rf examples*
rm -rf cpp
rm -rf doc
rm mkdebugjar mkjar
cd ..
mkdir SRC
cd SRC
cp -p ../../SRC/Makefile .
cp -p ../../SRC/auxSyntaxSwitchSExpander.java .
cp -p ../../SRC/BaseSyntaxConstraint.java .
cp -p ../../SRC/bodySConstraint.java .
cp -p ../../SRC/BracesFragment.java .
cp -p ../../SRC/BracketsFragment.java .
cp -p ../../SRC/CharacterFragment.java .
cp -p ../../SRC/CommaFragment.java .
cp -p ../../SRC/CompoundFragment.java .
cp -p ../../SRC/CompoundMacroFragment.java .
cp -p ../../SRC/DotFragment.java .
cp -p ../../SRC/DotDotDotFragment.java .
cp -p ../../SRC/Expansion.java .
cp -p ../../SRC/ExpansionResult.java .
cp -p ../../SRC/ExpansionFailure.java .
cp -p ../../SRC/expressionSConstraint.java .
cp -p ../../SRC/FloatFragment.java .
cp -p ../../SRC/Fragment.java .
cp -p ../../SRC/FragmentList.java .
cp -p ../../SRC/FragmentListRef.java .
cp -p ../../SRC/GrammarSyntaxConstraint.java .
cp -p ../../SRC/IdentifierFragment.java .
cp -p ../../SRC/IntegerFragment.java .
cp -p ../../SRC/JavaLexer.java .
cp -p ../../SRC/JavaRecognizer.java .
cp -p ../../SRC/JavaReservedWords.java .
cp -p ../../SRC/JavaTokenLexer.java .
cp -p ../../SRC/JavaTokenTypes.java .
cp -p ../../SRC/JSE.java .
cp -p ../../SRC/LeafFragment.java .
cp -p ../../SRC/List.java .
cp -p ../../SRC/LiteralFragment.java .
cp -p ../../SRC/LooseFragmentParser.java .
cp -p ../../SRC/MacroCall.java .
cp -p ../../SRC/MacroExpander.java .
cp -p ../../SRC/nameSConstraint.java .
cp -p ../../SRC/NameFragment.java .
cp -p ../../SRC/NestedFragment.java .
cp -p ../../SRC/ParensFragment.java .
cp -p ../../SRC/PatternVariableFragment.java .
cp -p ../../SRC/PrettyStream.java .
cp -p ../../SRC/PunctuationFragment.java .
cp -p ../../SRC/QuestionExpressionFragment.java .
cp -p ../../SRC/QuestionFragment.java .
cp -p ../../SRC/SemicolonFragment.java .
cp -p ../../SRC/SeparatorFragment.java .
cp -p ../../SRC/SequenceFragment.java .
cp -p ../../SRC/SpecialClassLoader.java .
cp -p ../../SRC/SplicedPatternVariableFragment.java .
cp -p ../../SRC/SplitList.java .
cp -p ../../SRC/statementSConstraint.java .
cp -p ../../SRC/StringFragment.java .
cp -p ../../SRC/switchBodySConstraint.java .
cp -p ../../SRC/Symbol.java .
cp -p ../../SRC/SyntaxConstraint.java .
cp -p ../../SRC/SyntaxException.java .
cp -p ../../SRC/SyntaxExpander.java .
cp -p ../../SRC/SyntaxMatchFailure.java .
cp -p ../../SRC/SyntaxRule.java .
cp -p ../../SRC/syntaxSwitchSExpander.java .
cp -p ../../SRC/Template.java .
cp -p ../../SRC/templateSConstraint.java .
cp -p ../../SRC/typeSConstraint.java .
cp -p ../../SRC/UnhygienicNameFragment.java .
cp -p ../../SRC/wildcardSConstraint.java .
cp -p ../../SRC/java.g .
cp -p ../../SRC/syntaxSwitchBodySConstraint.jse .
cp -p ../../SRC/syntaxSExpander.jse .
cp -p ../../SRC/ruleSExpander.jse .
cp -p ../../SRC/auxRuleSExpander.jse .
mkdir EXAMPLES
cd EXAMPLES
cp -p ../../../SRC/EXAMPLES/whenSExpander.jse .
cp -p ../../../SRC/EXAMPLES/unlessSExpander.jse .
cp -p ../../../SRC/EXAMPLES/enumSExpander.jse .
cp -p ../../../SRC/EXAMPLES/accessibleSExpander.jse .
cp -p ../../../SRC/EXAMPLES/forEachSExpander.jse .
cp -p ../../../SRC/EXAMPLES/assertSExpander.jse .
cd ..
mkdir TESTS
cd TESTS
cp -p ../../../SRC/TESTS/whenTst.jse .
cp -p ../../../SRC/TESTS/enumTst.jse .
cp -p ../../../SRC/TESTS/accessibleTst.jse .
cp -p ../../../SRC/TESTS/forEachTst.jse .
cp -p ../../../SRC/TESTS/assertTst.jse .
# cp -p ../../../SRC/TESTS/auxRuleTst.jse .
cd ..
cd ..
mkdir DOC
cd DOC
cp -p ../../DOC/doc.pdf .
cd ..
cd ..

tar cf jse-$1.tar jse-$1
gzip jse-$1.tar
